- Qt 5.5
- Qt3D Module
- C++ Classes
- ArrayAllocatingPolicy
- Qt 5.5.1 Reference Documentation

# ArrayAllocatingPolicy Class

(Qt3D::ArrayAllocatingPolicy)

Allocates memory in a contiguous space trying to minimize fragmentation and cache misses. More...

Header: | #include <ArrayAllocatingPolicy>
qmake: | QT += 3dcore
Since: | Qt 5.5

- List of all members, including inherited members

## Public Functions

| ArrayAllocatingPolicy()
T * | allocateResource()
void | releaseResource(T * r)
void | reset()

## Detailed Description

Allocates memory in a contiguous space trying to minimize fragmentation and cache misses.

Once the maximum number of entities is reached, no more allocations can be made until some resources are released

See also QResourceManager and ListAllocatingPolicy.

## Member Function Documentation

### ArrayAllocatingPolicy::ArrayAllocatingPolicy()

### T * ArrayAllocatingPolicy::allocateResource()

### void ArrayAllocatingPolicy::releaseResource(T * r)

### void ArrayAllocatingPolicy::reset()